Skip to main content
GET
/
api
/
v1
/
workspaces
/
{id}
Get workspace
curl --request GET \
  --url https://api.getarca.app/api/v1/workspaces/{id} \
  --header 'Authorization: Bearer <token>'
{
  "id": 3,
  "name": "Acme Corp",
  "slug": "acme-corp",
  "description": "Main product workspace",
  "icon": "briefcase",
  "color": "blue",
  "image_url": null,
  "owner_id": 1,
  "role": "owner",
  "created_at": "2026-01-05T10:00:00.000Z"
}
Requires the workspaces:read scope. You must be a member of the workspace.

Path parameters

id
string
required
The numeric workspace ID.

Response

id
number
required
Workspace identifier.
name
string
required
Workspace name.
slug
string
required
URL-safe identifier.
description
string | null
Optional workspace description.
icon
string | null
Icon identifier slug (e.g., "folder-1", "chart", "briefcase"). null if not set.
color
string | null
Brand color.
image_url
string | null
Cover image URL.
owner_id
number
required
User ID of the workspace owner.
role
string
required
Your role: owner, admin, member, or viewer.
created_at
string
required
UTC ISO-8601 creation timestamp.
{
  "id": 3,
  "name": "Acme Corp",
  "slug": "acme-corp",
  "description": "Main product workspace",
  "icon": "briefcase",
  "color": "blue",
  "image_url": null,
  "owner_id": 1,
  "role": "owner",
  "created_at": "2026-01-05T10:00:00.000Z"
}